hdt-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rahul Sharma <rahul0...@gmail.com>
Subject Re: Trouble compiling RC3
Date Sat, 19 Apr 2014 08:22:03 GMT
HI Justin,

I am not sure how you hit this error. I built the tag on my ubuntu and it
builds fine. The tool itself is not OS dependent. The code is built using
maven-tycho plugin and it looks like something going wrong on that front.
Can you please elaborate some more details about your platform/os ?

As for release notes, I would say there is not much in terms of JIRA issues
that we have tracked. We are in process of absorbing the hadoop-eclipse
plugin developed by Srimanth. The plugin gives us the capability to browse
through Zookeper configuration and HDFS file system. Since we have not made
any release till now so the project took a call to first absorb and release
the plugin source and then develop things over it.The current release is
all about making that source build fine and released from HDT stable. Also
the complete list of things are being tracked in Hadoop-eclipse epic[1]. .

regards
Rahul

[1] https://issues.apache.org/jira/browse/HDT-32


On Sat, Apr 19, 2014 at 8:54 AM, Justin Mclean <justin@classsoftware.com>wrote:

> Hi,
>
> I was taking a look at RC3 and the basics look good but was having trouble
> compiling it and wonder if any one could help.
>
> mvn compile
>
> [ERROR] Internal error:
> org.eclipse.tycho.core.osgitools.OsgiManifestParserException: Exception
> parsing OSGi MANIFEST
> /Users/justinmclean/.m2/repository/p2/osgi/bundle/org.eclipse.ui.workbench/3.104.0.v20130204-164612/org.eclipse.ui.workbench-3.104.0.v20130204-164612.jar:
> error in opening zip file -> [Help 1]
> org.apache.maven.InternalErrorException: Internal error:
> org.eclipse.tycho.core.osgitools.OsgiManifestParserException: Exception
> parsing OSGi MANIFEST
> /Users/justinmclean/.m2/repository/p2/osgi/bundle/org.eclipse.ui.workbench/3.104.0.v20130204-164612/org.eclipse.ui.workbench-3.104.0.v20130204-164612.jar:
> error in opening zip file
>         at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:167)
>         at org.apache.maven.cli.MavenCli.execute(MavenCli.java:584)
>         at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:213)
>         at org.apache.maven.cli.MavenCli.main(MavenCli.java:157)
>         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>         at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
>         at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>         at java.lang.reflect.Method.invoke(Method.java:601)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:289)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:229)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:415)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:356)
> Caused by: org.eclipse.tycho.core.osgitools.OsgiManifestParserException:
> Exception parsing OSGi MANIFEST
> /Users/justinmclean/.m2/repository/p2/osgi/bundle/org.eclipse.ui.workbench/3.104.0.v20130204-164612/org.eclipse.ui.workbench-3.104.0.v20130204-164612.jar:
> error in opening zip file
>         at
> org.eclipse.tycho.core.osgitools.DefaultBundleReader.doLoadManifest(DefaultBundleReader.java:69)
>         at
> org.eclipse.tycho.core.osgitools.DefaultBundleReader.loadManifest(DefaultBundleReader.java:51)
>         at
> org.eclipse.tycho.core.osgitools.EquinoxResolver.loadManifest(EquinoxResolver.java:247)
>         at
> org.eclipse.tycho.core.osgitools.EquinoxResolver.newState(EquinoxResolver.java:156)
>         at
> org.eclipse.tycho.core.osgitools.EquinoxResolver.newResolvedState(EquinoxResolver.java:64)
>         at
> org.eclipse.tycho.core.osgitools.OsgiBundleProject.getResolverState(OsgiBundleProject.java:250)
>         at
> org.eclipse.tycho.core.osgitools.OsgiBundleProject.resolveClassPath(OsgiBundleProject.java:158)
>         at
> org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:122)
>         at
> org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:82)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:317)
>         at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:155)
>         ... 11 more
> Caused by: java.util.zip.ZipException: error in opening zip file
>         at java.util.zip.ZipFile.open(Native Method)
>         at java.util.zip.ZipFile.<init>(ZipFile.java:214)
>         at java.util.zip.ZipFile.<init>(ZipFile.java:144)
>         at
> org.eclipse.tycho.core.osgitools.DefaultBundleReader.loadManifestFromFile(DefaultBundleReader.java:79)
>         at
> org.eclipse.tycho.core.osgitools.DefaultBundleReader.doLoadManifest(DefaultBundleReader.java:62)
>         ... 21 more
>
>
> While not required for a release I notice the README is minimal and
> there's no RELEASE_NOTES or instruction on how to compile so I guess I'm
> just missing a pre requisite or two?
>
> Do the tools assume particular OS/platform?
>
> Thanks,
> Justin

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message